CVE-2021-42697

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2021-42697
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2021-42697.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2021-42697
Aliases
Published
2021-11-02T22:15:08Z
Modified
2024-06-06T13:45:16.679514Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS Calculator
Summary
[none]
Details

Akka HTTP 10.1.x before 10.1.15 and 10.2.x before 10.2.7 can encounter stack exhaustion while parsing HTTP headers, which allows a remote attacker to conduct a Denial of Service attack by sending a User-Agent header with deeply nested comments.

References

Affected packages

Git / github.com/akka/akka-http

Affected ranges

Type
GIT
Repo
https://github.com/akka/akka-http
Events

Affected versions

v10.*

v10.2.0
v10.2.1
v10.2.2
v10.2.3
v10.2.4
v10.2.5
v10.2.5-M1
v10.2.5-M2
v10.2.6